Bug 1310391 - nomacs included problematic content.
nomacs included problematic content.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: nomacs (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Eugene A. Pivnev
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2016-02-21 04:52 EST by mejiko
Modified: 2017-03-20 14:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-20 14:56:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2016-02-21 04:52:27 EST
Hello.

nomacs included non-free image. 
This is "Lena" (Lenna) image. (JPG file)


File List:

"nomacs-3.0.0/src/img/lena*.jpg"

This file license (Copyright) is non-free, and this content is violate Fedora Packaging Guideline.

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

Thanks.


Reference:

https://lintian.debian.org/tags/license-problem-non-free-img-lenna.html
Comment 1 Eugene A. Pivnev 2016-02-21 09:32:51 EST
1. mailed to developers
2. will think about it
3. Thank you
Comment 2 Jan Kurik 2016-02-24 10:28:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 3 markus 2016-03-01 05:29:22 EST
hi,

we had the same issue with debian: https://github.com/nomacs/nomacs/issues/28 so you can replace lena.jpg and lena-full.jpg by the image linked in the report (it's CCd)

regards,
markus
(nomacs developer)
Comment 4 Eugene A. Pivnev 2016-03-02 05:09:28 EST
(In reply to mejiko from comment #0)
> Hello.
> 
> nomacs included non-free image. 
> This is "Lena" (Lenna) image. (JPG file)

nomacs package not includes any jpg.
Comment 5 Eugene A. Pivnev 2016-03-02 05:13:37 EST
Oops... It is in qrc
Comment 6 Fedora End Of Life 2017-02-28 04:54:26 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 7 Tom "spot" Callaway 2017-03-20 14:56:21 EDT
Fixed in rawhide: nomacs-3.4-4.fc27

Note You need to log in before you can comment on or make changes to this bug.